\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::compare_signed_distance_to_line()
Global Kernel Functions

##

See Also
  `CGAL::compare_distance_to_point()`
  `CGAL::compare_signed_distance_to_plane()`
  `CGAL::has_larger_distance_to_point()`
  `CGAL::has_larger_signed_distance_to_line()`
  `CGAL::has_larger_signed_distance_to_plane()`
  `CGAL::has_smaller_distance_to_point()`
  `CGAL::has_smaller_signed_distance_to_line()`
  `CGAL::has_smaller_signed_distance_to_plane()`

## Functions
template<typename Kernel >
Comparison_result | CGAL::compare_signed_distance_to_line (const CGAL::Line_2< Kernel > &l, const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q)
| returns `CGAL::LARGER` iff the signed distance of `p` and `l` is larger than the signed distance of `q` and `l`, `CGAL::SMALLER`, iff it is smaller, and `CGAL::EQUAL` iff both are equal.
template<typename Kernel >
Comparison_result | CGAL::compare_signed_distance_to_line (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r, const CGAL::Point_2< Kernel > &s)
| returns `CGAL::LARGER` iff the signed distance of `r` and `l` is larger than the signed distance of `s` and `l`, `CGAL::SMALLER`, iff it is smaller, and `CGAL::EQUAL` iff both are equal, where `l` is the directed line through `p` and `q`.